# $Revision: 1.86 $, $Date: 2010/05/22 17:45:39 $
#
# Conditional build:
%bcond_without	libsmi	# Build without SMI support

Summary:	dumps packets that are sent or received over a network interface
Summary(de.UTF-8):	deponiert Pakete, die über eine Netzwerkschnittstelle gesandt oder empfangen werden
Summary(es.UTF-8):	Enseña los paquetes que son enviados o recibidos a través de una interface de red
Summary(fr.UTF-8):	vide les paquets émis ou reçus sur une interface réseau
Summary(pl.UTF-8):	Pokazuje pakiety przechodzące przez interfejsy sieciowe
Summary(pt_BR.UTF-8):	Mostra os pacotes que são enviados ou recebidos através de uma interface de rede
Summary(ru.UTF-8):	Инструмент для мониторинга сетевого траффика
Summary(tr.UTF-8):	Bir ağ arabirimi üzerinden gelen ya da giden paketleri listeler
Summary(uk.UTF-8):	Інструмент для моніторингу мережевого трафіку
Name:		tcpdump
Version:	4.1.1
Release:	2
Epoch:		1
License:	BSD
Group:		Networking/Utilities
Source0:	http://www.tcpdump.org/release/%{name}-%{version}.tar.gz
# Source0-md5:	d0dd58bbd6cd36795e05c6f1f74420b0
Patch0:		libpcap-m4.patch
Patch1:		%{name}-ac.patch
URL:		http://www.tcpdump.org/
BuildRequires:	autoconf
BuildRequires:	libpcap-devel >= 2:1.0.0
%{?with_libsmi:BuildRequires:	libsmi-devel}
BuildRequires:	openssl-devel >= 0.9.7d
Requires:	libpcap >= 2:1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tcpdump prints out the headers of packets on a network interface. It
is very useful for debugging network problems and security operations.

%description -l de.UTF-8
Tcpdump druckt die Headers von Paketen auf einer Netzschnittstelle. Es
ist überaus nützlich zum Debuggen von Netzwerkproblemen und von
Sicherheitsoperationen.

%description -l es.UTF-8
Tcpdump imprime los encabezamientos de los paquetes en una interface
de red. Es muy práctico para solucionar problemas en la red y para
operaciones de seguridad.

%description -l fr.UTF-8
tcpdump affiche les en-têtes des paquets d'une interface réseau. Il
est très utile pour détecter les problèmes de réseau et de sécurité.

%description -l pl.UTF-8
Tcpdump służy do analizy pakietów przechodzących przez interfejsy
sieciowe, jest użytecznym narzędziem do śledzenia ruchu w sieci.

%description -l pt_BR.UTF-8
Tcpdump imprime os cabeçalhos dos pacotes em uma interface de rede.
Ele é muito prático para resolver problemas na rede e para operações
de segurança.

%description -l ru.UTF-8
Tcpdump выводит хедеры пакетов, проходящих через сетевой интерфейс.
Незаменим для диагностики сетевых проблем и нарушений безопасности.

%description -l tr.UTF-8
Tcpdump, bir ağ arabirimi üzerinden geçen paketlerin başlıklarını
döker. Güvenlik işlemleri ve ağ problemlerinin irdelenmesi konularında
son derece yararlıdır.

%description -l uk.UTF-8
Tcpdump виводить хедери пакетів, що проходять через мереживний
інтерфейс. Незамінний для діагностики мереживних проблем та порушень
безпеки.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__autoconf}
%configure \
	--enable-ipv6
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_sbindir}/tcpdump.%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES CREDITS LICENSE README
%attr(755,root,root) %{_sbindir}/tcpdump
%{_mandir}/man1/tcpdump.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: tcpdump.spec,v $
Revision 1.86  2010/05/22 17:45:39  gotar
- fixed Group

Revision 1.85  2010/04/11 06:29:23  arekm
- release 2

Revision 1.84  2010/04/06 21:59:21  sparky
- BR: autoconf
- dropped BR: automake

Revision 1.83  2010/04/06 20:29:05  glen
- up to 4.1.1:
  Don't blow up if a zero-length link-layer address is passed to linkaddr_string().

Revision 1.82  2010/04/01 12:00:01  glen
- it's in fact shiny day

Revision 1.81  2010/04/01 11:55:53  glen
- add m4 and ac patches, builds now with libpcap 1.0.0 as well

Revision 1.80  2010/04/01 11:36:26  glen
- up to 4.1.0, likely needs libpcap 1.1

Revision 1.79  2009/01/02 17:22:39  arekm
- rel 2; R new libpcap

Revision 1.78  2008/11/24 15:01:14  arekm
- up to 4.0.0

Revision 1.77  2007/11/03 12:10:53  qboosh
- updated to 3.9.8

Revision 1.76  2007/08/12 19:44:41  qboosh
- one more CVE note (for 3.9.6)

Revision 1.75  2007/08/08 19:16:51  qboosh
- updated to 3.9.7
- removed obsolete CVE-2007-3798 patch

Revision 1.74  2007/07/19 19:35:14  undefine
- add tcpdump-CVE-2007-3798.patch patch
- release 2

Revision 1.73  2007/06/15 20:13:25  qboosh
- updated to 3.9.6 [fixes CVE-2007-1218]

Revision 1.72  2007/02/12 22:09:17  glen
- tabs in preamble

Revision 1.71  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.70  2006/10/06 08:12:44  qboosh
- updated to 3.9.5

Revision 1.69  2006/08/10 18:59:47  patrys
- rel 2 to rebuild with new libcrypto

Revision 1.68  2005/10/13 11:06:53  qboosh
- updated to 3.9.4
- removed obsolete pcap_debug,CAN-2005-1279_1280,bgp-infinite-loop2 patches

Revision 1.67  2005/06/20 08:47:15  qboosh
- added bgp-infinite-loop2 patch from Gentoo (fixes CAN-2005-1267)
- it appears that CAN-2005-1279_1280 patch fixed CAN-2005-1278 as well
- release 7

Revision 1.66  2005/06/13 21:30:52  glen
- TODO security

Revision 1.65  2005/05/12 18:05:32  adamg
- strict BR

Revision 1.64  2005/05/12 17:56:28  adamg
- release 6 (rebuild with fixed -pcap_debug.patch)

Revision 1.63  2005/05/09 22:54:03  adamg
- release 4 for Th

Revision 1.62  2005/05/09 22:52:08  adamg
- patch for CAN-2005-1279 and CAN-2005-1280
- stricter BR: libpcap-devel
- release 3

Revision 1.61  2005/05/09 21:50:42  glen
- TODO security

Revision 1.60  2005/01/29 17:08:24  areq
- add pcap_debug.patch (fix for gcc-3.4.3)

Revision 1.59  2004/03/31 14:14:16  qboosh
- release 2

Revision 1.58  2004/03/31 10:50:00  qboosh
- refresh config.sub for amd64

Revision 1.57  2004/03/31 10:44:23  qboosh
- updated to 3.8.3 (fixes CAN-2004-0183, CAN-2004-0184)
- removed workarounds, require tar 1.13.93

Revision 1.56  2004/03/19 23:46:38  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.55  2004/02/03 15:53:16  qboosh
- added patches for CAN-2004-0055,CAN-2004-0057 (BTS#822)
- release 2

Revision 1.54  2004/01/03 00:10:59  qboosh
- tar 1.13.9x compat, added docs

Revision 1.53  2004/01/01 20:41:48  adamg
- updated to 3.8.1
- new style bcond
- documented libsmi bcond
- removed -ssl patch

Revision 1.52  2003/11/18 00:09:52  undefine
- release 2 to rebuild with ac

Revision 1.51  2003/09/30 20:18:35  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.50  2003/06/16 19:09:16  blues
- massive: cleanup in setup parameters (based on kloczek changes), small
  cosmetic fixes

Revision 1.49  2003/05/25 11:01:00  malekith
- massive attack, adding Source-md5

Revision 1.48  2003/05/25 06:27:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.47  2003/03/10 16:19:59  areq
- remove no-libsmi.patch

Revision 1.46  2003/03/05 07:53:10  misiek
- updated to 3.7.2

Revision 1.45  2003/02/13 14:06:54  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.44  2003/01/11 01:30:33  kloczek
- release 2,
- merge translations from KSI,
- merge snaplen patch from Conctiva (fix sigsegv).

Revision 1.43  2002/02/23 04:49:04  kloczek
- adapterized.

Revision 1.42  2002/02/22 23:29:47  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.41  2002/02/04 15:14:45  kloczek
- merge translations from Conectiva.

Revision 1.40  2002/02/04 11:57:00  misiek
- updated to 3.7.1

Revision 1.39  2002/01/18 02:15:09  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.38  2001/10/09 12:56:45  qboosh
- fixed typo, removed gzipping of man pages

Revision 1.37  2001/08/09 22:59:20  agaran
- s/configure/configure2_13/ somebody want to fix that better?

Revision 1.36  2001/05/22 09:06:52  wiget
- switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ ->
  _without_); no release changes only simple s/// perfored

Revision 1.35  2001/05/09 01:37:16  kloczek
- release 2: rebuild against openssl 0.9.6a.

Revision 1.34  2001/02/07 23:06:19  kloczek
- adapterized.

Revision 1.33  2001/02/07 21:52:01  misiek
- 3.6.2

Revision 1.32  2001/01/12 15:16:15  misiek
- official 3.6.1 release

Revision 1.31  2001/01/07 12:42:14  misiek
- 3.6 prerelease

Revision 1.30  2000/12/28 15:25:15  baggins
- allow build without libsmi (define _without_libsmi for it)

Revision 1.29  2000/12/17 12:26:32  misiek
- updated to cvs20001217

Revision 1.28  2000/12/14 16:35:12  baggins
- release 2
- removed debug
- use rpm_opt_flags

Revision 1.27  2000/12/04 21:39:11  misiek
- updated to 1204

Revision 1.26  2000/12/02 21:49:10  misiek
- updated to cvs20001202

Revision 1.25  2000/11/04 20:57:56  misiek
- added libsmi patch

Revision 1.24  2000/11/03 14:04:02  misiek
- once again cvs version

Revision 1.22  2000/11/01 01:14:39  misiek
- added FreeBSD CERT patch

Revision 1.21  2000/08/01 11:12:57  zagrodzki
- updated to 3.5.2

Revision 1.20  2000/07/28 18:28:30  kloczek
- spec adapterized.

Revision 1.19  2000/07/14 13:31:55  wiget
- version 3.5
- added ssl patch and fixes patch from ports-devel

Revision 1.18  2000/06/09 07:55:12  kloczek
- more %{__make} macros.

Revision 1.17  2000/06/09 07:24:00  kloczek
- added using %{__make} macro.

Revision 1.16  2000/04/01 11:15:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.15  2000/03/28 16:55:07  baggins
- translated kloczkish into english

Revision 1.14  1999/11/27 08:17:55  kloczek
- added Serial: 1 to allow upgrade from RH package.

Revision 1.13  1999/11/27 08:02:59  kloczek
- release 17 (in rawhide id 16),
- added giop patch from ORBit resources which allow decode CORBA GIOP,
- added iphl and sparc64 patches from rawhide,
- build against shared libpcap.

Revision 1.12  1999/08/05 14:06:20  kloczek
- revision changed to 11 (in rawhide is 10).

Revision 1.11  1999/08/05 13:54:00  kloczek
- added using %configure macro,
- man page for tcpdump moved to proper pace (man1),
- added DESTDIR style installing (added for this make patch).

Revision 1.10  1999/07/20 12:48:10  wiget
- switch to rpm 3.0.2

Revision 1.9  1999/07/12 23:06:15  kloczek
- added using CVS keywords in %changelog (for automating them).

Revision 1.7  1999/07/03 17:06:12  misiek
- updated to 3.4. IPv6 patches replaced by ANK patches
